summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2009-12-18 13:16:17 +0000
committer Eric Hameleers <alien@slackware.com>2009-12-18 13:16:17 +0000
commit88b7056b7b525a685616bc2e0b9f60bc7659e621 (patch)
treee010e09ad1920a1f969d0c30c2ef1707cfef456f
parentd30f1db1394475dad9926c5f5a9a88db776efc02 (diff)
downloadasb-88b7056b7b525a685616bc2e0b9f60bc7659e621.tar.gz
asb-88b7056b7b525a685616bc2e0b9f60bc7659e621.tar.xz
Update to 3.4.0
-rwxr-xr-xfreenx/build/nx.SlackBuild99
1 files changed, 73 insertions, 26 deletions
diff --git a/freenx/build/nx.SlackBuild b/freenx/build/nx.SlackBuild
index e27ae297..00622580 100755
--- a/freenx/build/nx.SlackBuild
+++ b/freenx/build/nx.SlackBuild
@@ -53,6 +53,8 @@
# 3.3.0-2: 27/jan/2009 by Eric Hameleers <alien@slackware.com>
# * 3.3.0 service release by NoMachine updates several components
# (nxcompext, nx-X11, nxagent, nxcompshad).
+# 3.4.0-1: 18/dec/2009 by Eric Hameleers <alien@slackware.com>
+# * 3.4.0 service release by NoMachine updates several components
#
# Run 'sh nx.SlackBuild' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -63,9 +65,8 @@
# Set initial variables:
PRGNAM=nx
-VERSION=${VERSION:-3.3.0}
-ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-3.4.0}
+BUILD=${BUILD:-1}
TAG=${TAG:-alien}
# Where do we look for sources?
@@ -79,17 +80,17 @@ OUTPUT=${OUTPUT:-/tmp}
SOURCE[0]="$SRCDIR/nxproxy-${VERSION}-2.tar.gz"
SRCURL[0]="http://64.34.161.181/download/${VERSION}/sources/nxproxy-${VERSION}-2.tar.gz"
-SOURCE[1]="$SRCDIR/nxcomp-${VERSION}-3.tar.gz"
-SRCURL[1]="http://64.34.161.181/download/${VERSION}/sources/nxcomp-${VERSION}-3.tar.gz"
+SOURCE[1]="$SRCDIR/nxcomp-${VERSION}-1.tar.gz"
+SRCURL[1]="http://64.34.161.181/download/${VERSION}/sources/nxcomp-${VERSION}-1.tar.gz"
-SOURCE[2]="$SRCDIR/nxcompext-${VERSION}-3.tar.gz"
-SRCURL[2]="http://64.34.161.181/download/${VERSION}/sources/nxcompext-${VERSION}-3.tar.gz"
+SOURCE[2]="$SRCDIR/nxcompext-${VERSION}-1.tar.gz"
+SRCURL[2]="http://64.34.161.181/download/${VERSION}/sources/nxcompext-${VERSION}-1.tar.gz"
SOURCE[3]="$SRCDIR/nxssh-${VERSION}-1.tar.gz"
SRCURL[3]="http://64.34.161.181/download/${VERSION}/sources/nxssh-${VERSION}-1.tar.gz"
-SOURCE[4]="$SRCDIR/nx-X11-${VERSION}-5.tar.gz"
-SRCURL[4]="http://64.34.161.181/download/${VERSION}/sources/nx-X11-${VERSION}-5.tar.gz"
+SOURCE[4]="$SRCDIR/nx-X11-${VERSION}-1.tar.gz"
+SRCURL[4]="http://64.34.161.181/download/${VERSION}/sources/nx-X11-${VERSION}-1.tar.gz"
SOURCE[5]="$SRCDIR/nxwin-${VERSION}-2.tar.gz"
SRCURL[5]="http://64.34.161.181/download/${VERSION}/sources/nxwin-${VERSION}-2.tar.gz"
@@ -97,28 +98,37 @@ SRCURL[5]="http://64.34.161.181/download/${VERSION}/sources/nxwin-${VERSION}-2.t
SOURCE[6]="$SRCDIR/nxauth-${VERSION}-1.tar.gz"
SRCURL[6]="http://64.34.161.181/download/${VERSION}/sources/nxauth-${VERSION}-1.tar.gz"
-SOURCE[7]="$SRCDIR/nxagent-${VERSION}-10.tar.gz"
-SRCURL[7]="http://64.34.161.181/download/${VERSION}/sources/nxagent-${VERSION}-10.tar.gz"
+SOURCE[7]="$SRCDIR/nxagent-${VERSION}-3.tar.gz"
+SRCURL[7]="http://64.34.161.181/download/${VERSION}/sources/nxagent-${VERSION}-3.tar.gz"
SOURCE[8]="$SRCDIR/nxesd-${VERSION}-1.tar.gz"
SRCURL[8]="http://64.34.161.181/download/${VERSION}/sources/nxesd-${VERSION}-1.tar.gz"
-SOURCE[9]="$SRCDIR/nxcompshad-${VERSION}-3.tar.gz"
-SRCURL[9]="http://64.34.161.181/download/${VERSION}/sources/nxcompshad-${VERSION}-3.tar.gz"
+SOURCE[9]="$SRCDIR/nxcompshad-${VERSION}-1.tar.gz"
+SRCURL[9]="http://64.34.161.181/download/${VERSION}/sources/nxcompshad-${VERSION}-1.tar.gz"
SOURCE[10]="$SRCDIR/nxscripts-${VERSION}-1.tar.gz"
SRCURL[10]="http://64.34.161.181/download/${VERSION}/sources/nxscripts-${VERSION}-1.tar.gz"
+SOURCE[11]="$SRCDIR/nxspool-${VERSION}-1.tar.gz"
+SRCURL[11]="http://64.34.161.181/download/${VERSION}/sources/nxspool-${VERSION}-1.tar.gz"
+
+SOURCE[12]="$SRCDIR/nxservice-${VERSION}-1.tar.gz"
+SRCURL[12]="http://64.34.161.181/download/${VERSION}/sources/nxservice-${VERSION}-1.tar.gz"
+
##
## --- with a little luck, you won't have to edit below this point --- ##
##
-# Exit the script on errors:
-set -e
-trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
-# Catch unitialized variables:
-set -u
-P1=${1:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
case "$ARCH" in
i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -127,17 +137,18 @@ case "$ARCH" in
s390) SLKCFLAGS="-O2"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
- powerpc) SLKCFLAGS="-O2"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
x86_64) SLKCFLAGS="-O2 -fPIC"
SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
;;
- athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
esac
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
# Create working directories:
mkdir -p $OUTPUT # place for the package to be saved
mkdir -p $TMP/tmp-$PRGNAM # location to build the source
@@ -241,6 +252,23 @@ cd nxssh
--without-zlib-version-check
make
cd -
+# Build nxservice
+cd nxservice
+./configure --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+make
+# Build nxspool
+cd nxspool/source
+./configure --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --without-ldap \
+ --without-krb5
+make
+cd -
# Build nxesd
cd nxesd
./configure --prefix=/usr \
@@ -281,13 +309,21 @@ cp -a nxssh/nxssh $PKG/usr/lib${LIBDIRSUFFIX}/NX
ln -snf nxagent $PKG/usr/bin/nxssh
chmod 755 $PKG/usr/bin/nxssh
+cp -a nxspool/source/bin/nxspool $PKG/usr/lib${LIBDIRSUFFIX}/NX
+ln -snf nxagent $PKG/usr/bin/nxspool
+chmod 755 $PKG/usr/bin/nxspool
+
+cp -a nxservice/nxservice $PKG/usr/lib${LIBDIRSUFFIX}/NX
+ln -snf nxagent $PKG/usr/bin/nxservice
+chmod 755 $PKG/usr/bin/nxservice
+
cp -a nxesd/nxesd $PKG/usr/lib${LIBDIRSUFFIX}/NX
ln -snf nxagent $PKG/usr/bin/nxesd
chmod 755 $PKG/usr/bin/nxesd
# Add documentation:
mkdir -p \
- $PKG/usr/doc/$PRGNAM-$VERSION/{nx-X11,nxcomp,nxcompext,nxesd,nxproxy,nxssh}
+ $PKG/usr/doc/$PRGNAM-$VERSION/{nx-X11,nxcomp,nxcompext,nxesd,nxproxy,nxservice,nxspool,nxssh}
cd nx-X11
cp -a \
BUILD CHANGELOG* COPYING ChangeLog.X.org LABEL LICENSE README* RELNOTES \
@@ -314,6 +350,17 @@ cp -a \
CHANGELOG COPYING LICENSE README* VERSION \
$PKG/usr/doc/$PRGNAM-$VERSION/nxproxy
cd -
+cd nxspool
+cp -a \
+ CHANGELOG COPYING MAINTAINERS Manifest README* REVISION \
+ Read-Manifest-Now Roadmap WHATSNEW.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION/nxspool
+cd -
+cd nxservice
+cp -a \
+ BASELINE CHANGELOG COPYING LICENSE VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION/nxservice
+cd -
cd nxssh
cp -a \
CHANGELOG* CREDITS ChangeLog.SSH.orginal \